import os
from uuid import uuid4
from .utils import read_json, write_json
from .directories import get_campaign_dir, get_user_campaigns

campaign_template = {
    "id": uuid4(),
    "active": False,
    "posts": []
}

def generate_campaign_template():
    template = os.environ.get('PBP_CAMPAIGN_TEMPLATE')
    if template:
        return read_json(template)
    return campaign_template

def next_campaign_file(): # TODO implement this
    return 'campaign.json'

def activate_campaign(campaign_id):
    for campaign in get_user_campaigns():
        cfd = read_json(campaign)
        if cfd.get('id') == campaign_id:
            cfd['active'] == True
            write_json(cfd)
            break

def make_campaign(name=next_campaign_file(), campaign_data=generate_campaign_template(), exist_ok=False):
    camp_file = get_campaign_dir().joinpath(name)
    if camp_file.exists() and not exist_ok:
        raise FileExistsError
    with camp_file.open('wt') as fd:
        json.dump(campaign_data, fd)
