import os
import pathlib
import json

BASE_PATH = pathlib.Path(os.environ.get('PBP_DIR', pathlib.Path().home()))

def get_game_dir():
    game_dir = BASE_PATH.joinpath('.pbp')
    game_dir.mkdir(exist_ok=True)
    return game_dir

def get_campaign_dir():
    camp_dir = get_game_dir().joinpath('campaigns')
    camp_dir.mkdir(exist_ok=True)
    return camp_dir

def get_user_campaigns(active=False):
    return [file for file in get_campaign_dir().iterdir() if file.is_file() and is_active_campaign(file)]

def get_character_dir():
    char_dir = get_game_dir().joinpath('characters')
    char_dir.mkdir(exist_ok=True)
    return char_dir

def get_user_characters():
    return [file for file in get_character_dir().iterdir() if file.is_file()]

def is_active_campaign(file):
    with open(file,'rt') as fd:
        return json.load(fd).get('active', False)


